import numpy as np
import cv2

def draw_result(path, h, w, class_num, predicted_img, img_BGR, colors):
    col_result = np.zeros((h, w, 3))
    for i in range(class_num):
        color = colors[i]
        img = np.zeros((h, w, 4))
        img[:, :, :3] = img_BGR
        img[:, :, 3][predicted_img == i] = 255
        cv2.imwrite(path + str(i) + '.png', img)

        for j, c in enumerate(color):
            if int(c) == 255: 
                col_result[:, :, j][ predicted_img == i ] = 255

    cv2.imwrite(path + 'result.png', col_result)
    cv2.imshow('win', col_result)
    cv2.waitKey(0)

    return  

if __name__ == '__main__':
    print 'it is a module!'
