#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys
from PyQt4 import QtGui, QtCore

num = 10
path_normal = []
for j in range(4):
    for i in range(num):
        normal = './refocus/' + str(j+1) + '_' + str(i) + '.png'
        print normal
        path_normal.append(normal)

class Example(QtGui.QWidget):

    def __init__(self):
        super(Example, self).__init__()
        self.initUI()

    def initUI(self):
        sld1 = QtGui.QSlider(QtCore.Qt.Horizontal, self)
        sld1.setFocusPolicy(QtCore.Qt.NoFocus)
        sld1.setGeometry(330 - 50, 510, 100, 20)
        sld1.valueChanged[int].connect(self.changeValue1)

        sld2 = QtGui.QSlider(QtCore.Qt.Horizontal, self)
        sld2.setFocusPolicy(QtCore.Qt.NoFocus)
        sld2.setGeometry(330 - 50, 540, 100, 20)
        sld2.valueChanged[int].connect(self.changeValue2)

        self.label1 = QtGui.QLabel(self)
        self.label1.setPixmap(QtGui.QPixmap(path_normal[0]))
        self.label1.setGeometry(10, 10, 640, 480)

        self.setGeometry(300, 300, 660 , 600)
        self.setWindowTitle('Refocus')
        self.show()

    def changeValue1(self, value):
        idx1 = int(value  * num / 100 ) 
        print path_normal[idx1]
        self.label1.setPixmap(QtGui.QPixmap( path_normal[idx1])) 
        return idx1

    def changeValue2(self, value):
        idx2 = int(value  * 4 / 100 ) 
        self.label1.setPixmap(QtGui.QPixmap( path_normal[idx2 * 4])) 
        return idx2

def main():
    app = QtGui.QApplication(sys.argv)
    ex = Example()
    sys.exit(app.exec_())
if __name__ == '__main__':
    main()
